Bug 764 - PANIC: init_unistr2_from_datablob: malloc fail
PANIC: init_unistr2_from_datablob: malloc fail
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 04:53 UTC by Miroslaw Hankus
Modified: 2005-11-14 09:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslaw Hankus 2003-11-12 04:53:32 UTC
issuing following command from Win2k

net use h: /HOME 

results in 

[2003/11/12 13:46:03, 2] auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [rosik_to] -> [rosik_to] ->
[rosik_to] succeeded
[2003/11/12 13:46:03, 2] lib/access.c:check_access(324)
  Allowed connection from  (192.168.255.106)
[2003/11/12 13:46:03, 2] rpc_server/srv_samr_nt.c:_samr_lookup_domain(2543)
  Returning domain sid for domain CE3 -> S-1-5-21-3802983517-1795498473-19375319
[2003/11/12 13:46:03, 0] lib/util.c:smb_panic(1400)
  PANIC: init_unistr2_from_datablob: malloc fail

[2003/11/12 13:46:03, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 smbd(smb_panic+0x195) [0x8183111]
   #1 smbd(init_unistr2_from_datablob+0x50) [0x80dea70]
   #2 smbd(init_sam_user_info21A+0x5d9) [0x813d0b1]
   #3 smbd(_samr_open_user+0x7af) [0x81156c3]
   #4 smbd(_samr_query_userinfo+0x287) [0x811596f]
   #5 smbd(_spoolss_getprintprocessordirectory+0x11d1) [0x810edd9]
   #6 smbd(api_rpcTNP+0x20b) [0x8124abb]
   #7 smbd(api_pipe_request+0xca) [0x812482a]
   #8 smbd(free_pipe_context+0x4b6) [0x811eea6]
   #9 smbd(free_pipe_context+0x69f) [0x811f08f]
   #10 smbd(free_pipe_context+0x922) [0x811f312]
   #11 smbd(write_to_pipe+0x159) [0x811f4c9]
   #12 smbd(write_to_pipe+0xd9) [0x811f449]
   #13 smbd(send_trans_reply+0x80a) [0x8087c36]
   #14 smbd(send_trans_reply+0xa06) [0x8087e32]
   #15 smbd(reply_trans+0x990) [0x8088820]
   #16 smbd(respond_to_all_remaining_local_messages+0x6a4) [0x80bc148]
   #17 smbd(respond_to_all_remaining_local_messages+0x73a) [0x80bc1de]
   #18 smbd(process_smb+0x1be) [0x80bc4ce]
   #19 smbd(smbd_process+0x14f) [0x80bceef]
   #20 smbd(main+0x733) [0x81d786f]
   #21 /lib/libc.so.6(__libc_start_main+0xcf) [0x401a2ccf]
   #22 smbd(_start+0x21) [0x8076011]
[2003/11/12 13:46:03, 2] auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [rosik_to] -> [rosik_to] ->
[rosik_to] succeeded
[2003/11/12 13:46:03, 2] lib/access.c:check_access(324)
  Allowed connection from  (192.168.255.106)
[2003/11/12 13:46:04, 2] lib/access.c:check_access(324)
  Allowed connection from  (192.168.255.106)
[2003/11/12 13:48:14, 2] smbd/process.c:timeout_processing(1133)
  Closing idle connection
[2003/11/12 13:48:14, 2] smbd/server.c:exit_server(558)
  Closing connections


and home directory is not mounted.
Comment 1 Gerald (Jerry) Carter 2003-11-12 13:34:24 UTC
fixed in CVS.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:25:32 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:29:13 UTC
database cleanup